# numqi.manifold

::: numqi.manifold.PositiveReal
    options:
      heading_level: 2

::: numqi.manifold.to_positive_real_softplus
    options:
      heading_level: 2

::: numqi.manifold.to_positive_real_exp
    options:
      heading_level: 2

::: numqi.manifold.OpenInterval
    options:
      heading_level: 2

::: numqi.manifold.to_open_interval
    options:
      heading_level: 2

::: numqi.manifold.Trace1PSD
    options:
      heading_level: 2

::: numqi.manifold.to_trace1_psd_ensemble
    options:
      heading_level: 2

::: numqi.manifold.to_trace1_psd_cholesky
    options:
      heading_level: 2

::: numqi.manifold.SymmetricMatrix
    options:
      heading_level: 2

::: numqi.manifold.to_symmetric_matrix
    options:
      heading_level: 2

::: numqi.manifold.Ball
    options:
      heading_level: 2

::: numqi.manifold.to_ball
    options:
      heading_level: 2

::: numqi.manifold.Sphere
    options:
      heading_level: 2

::: numqi.manifold.to_sphere_quotient
    options:
      heading_level: 2

::: numqi.manifold.to_sphere_coordinate
    options:
      heading_level: 2

::: numqi.manifold.DiscreteProbability
    options:
      heading_level: 2

::: numqi.manifold.to_discrete_probability_sphere
    options:
      heading_level: 2

::: numqi.manifold.to_discrete_probability_softmax
    options:
      heading_level: 2

::: numqi.manifold.Stiefel
    options:
      heading_level: 2

::: numqi.manifold.to_stiefel_polar
    options:
      heading_level: 2

::: numqi.manifold.to_stiefel_choleskyL
    options:
      heading_level: 2

::: numqi.manifold.to_stiefel_qr
    options:
      heading_level: 2

::: numqi.manifold.SpecialOrthogonal
    options:
      heading_level: 2

$$ \mathrm{SU}(d)=\left\{ A\in\mathbb{C}^{d\times d}:\mathrm{det}(A)=1,AA^{\dagger}=I_{d}\right\} $$

$$ \mathrm{SO}(d)=\left\{ A\in\mathbb{R}^{d\times d}:\mathrm{det}(A)=1,AA^{T}=I_{d}\right\} $$

::: numqi.manifold.to_special_orthogonal_exp
    options:
      heading_level: 2

::: numqi.manifold.to_special_orthogonal_cayley
    options:
      heading_level: 2

::: numqi.manifold.quantum_state
    options:
      heading_level: 2

::: numqi.manifold.density_matrix
    options:
      heading_level: 2

::: numqi.manifold.SeparableDensityMatrix
    options:
      heading_level: 2

::: numqi.manifold.quantum_gate
    options:
      heading_level: 2

::: numqi.manifold.QuantumChannel
    options:
      heading_level: 2

`numqi.manifold.StiefelManifoldDistanceModel` (TODO)

`numqi.manifold.GrassmannManifoldDistanceModel` (TODO)

`numqi.manifold.TwoHermitianSumModel` (TODO)

TAG-LIST-ALL
